Bug 34269 - printtool (printconf-gui) KeyError: 60192
Summary: printtool (printconf-gui) KeyError: 60192
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-01 02:52 UTC by Mike Dewey
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-12 02:50:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Dewey 2001-04-01 02:52:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1-0.1.9 i686)


When I run printtool, it crashes with the following stack dump:

$ printtool
Traceback (innermost last):
  File "/usr/sbin/printconf-gui", line 1255, in ?
    init_gui()
  File "/usr/sbin/printconf-gui", line 1246, in init_gui
    redisplay_queues()
  File "/usr/sbin/printconf-gui", line 487, in redisplay_queues
    display_queue(x)
  File "/usr/sbin/printconf-gui", line 463, in display_queue
    details = queue_description(queue)
  File "/usr/sbin/printconf-gui", line 225, in queue_description
    printer = printer_db[poid]
KeyError: 60192

A window flashes up briefly, then disappears.


Reproducible: Always
Steps to Reproduce:
1. Log to root or any other account	
2. Type "printtool" (if not root, it then asks for root's password)
	

Actual Results:  It crashes with the stack dump given in the description.

Expected Results:  It should allow me to configure and specify printers.

The machine was update from guiness to wolverine. The tool worked fine in
guiness. Printing also worked. Printing is not working in wolverine. E.g,
when I print from gedit, or piping directly to /dev/lp,  lpq reports the
following:

$lpq
Printer: lp@localhost
 Queue: no printable jobs in queue
 Status: removing job 'cfA035localhost.localdomain' - ABORTat 21:48:35

Comment 1 Need Real Name 2001-04-12 02:47:11 UTC
I'm having the same problem with wolverine, but with a different KeyError: 

 Traceback (innermost last):
  File "/usr/sbin/printconf-gui", line 1255, in ?
    init_gui()
  File "/usr/sbin/printconf-gui", line 1246, in init_gui
    redisplay_queues()
  File "/usr/sbin/printconf-gui", line 487, in redisplay_queues
    display_queue(x)
  File "/usr/sbin/printconf-gui", line 463, in display_queue
    details = queue_description(queue)
  File "/usr/sbin/printconf-gui", line 225, in queue_description
    printer = printer_db[poid]
KeyError: 78144



Same error on lpr attempt as well: 

$ lpr foo.txt
$ lpq
Printer: lp@dsl-64-192-100-53
 Queue: no printable jobs in queue
 Status: removing job 'cfA445dsl-64-192-100-53.telocity.com' - ABORT at
22:47:39.717
 Filter_status: lp is ready and printing

$ uname -a
Linux debox 2.4.1-0.1.9smp #1 SMP Wed Feb 14 21:52:02 EST 2001 i686 unknown

Comment 2 Need Real Name 2001-04-12 02:50:55 UTC
Also, this is on a 6.2-->wolverine upgrade.

Comment 3 Crutcher Dunnavant 2001-08-02 15:30:53 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.